Subject: ACPI vs DT at runtime

From: [email-masked] (Jon Masters)
Date: Mon, 18 Nov 2013 00:26:11 -0500

On 11/18/2013 12:19 AM, Jon Masters wrote:

> It's going to be a messy thing to even attempt. Look, I wish we had a
> time machine and could have done this whole thing years ago, but I'm not
> sure it would have gone differently. ACPI is something a lot of people
> emotionally hate. In the Enterprise space myself and others *need* it
> (along with UEFI) to have a scalable solution that doesn't result in an
> onslaught of customer support calls, which a non-standards body backed
> moving target of DTB will do. And besides all of the big boys are going
> to be using ACPI whether it's liked much or not.

A while ago I mentioned producing a series of requirements that
articulates what Red Hat thinks an ARMv8 server looks like. Suffice it
to say that such requirements do in fact exist, and will be made
available in the not too distant future as part of another doc.

Jon.